#!/bin/sh

#REV=412
REV=$1
VERSION=0.66svn`echo $REV`
NAME=gnurobbo

TMP=/tmp
URL=svn://svn.code.sf.net/p/$NAME/code/$NAME
FOLDER=$NAME-$VERSION

pushd $TMP
rm -rf $FOLDER || true
svn export --force -r $REV $URL $FOLDER || false
##do not ship unsupported platforms and legally questionable stuff
pushd $FOLDER
rm -rf win32 zaurus gp2x fremantle
rm -f Makefile.* README.*
rm -rf data/skins/original data/skins/oily data/sounds
find data/skins -name *.ttf -delete
popd
tar cvJf $TMP/$FOLDER.tar.xz $FOLDER
popd
mv $TMP/$FOLDER.tar.xz .

